python3-libstoragemgmt-1.7.0-1.3.noarch.rpm


Advertisement

Description

python3-libstoragemgmt - Python client libraries and plug-in support for libstoragemgmt

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename python3-libstoragemgmt-1.7.0-1.3.noarch.rpm
Package name python3-libstoragemgmt
Package version 1.7.0
Package release 1.3
Package architecture noarch
Package type rpm
Category Development/Languages/Python
Homepage https://github.com/libstorage/libstoragemgmt
License LGPL-2.1-or-later AND GPL-2.0-or-later
Maintainer -
Download size 152.73 KB
Installed size 762.18 KB
The python-libstoragemgmt package contains python client libraries as
well as python framework support and open source plug-ins written in python.

Alternatives

Package Version Architecture Repository
python3-libstoragemgmt - - -

Requires

Name Value
/usr/bin/python3 -
libstoragemgmt = 1.7.0
python(abi) = 3.7

Provides

Name Value
config(python3-libstoragemgmt) = 1.7.0-1.3
python3-libstoragemgmt = 1.7.0-1.3

Download

Type URL
Mirror widehat.opensuse.org
Binary Package python3-libstoragemgmt-1.7.0-1.3.noarch.rpm
Source Package libstoragemgmt-1.7.0-1.3.src.rpm

Install Howto

Install python3-libstoragemgmt rpm package:

# zypper install python3-libstoragemgmt

Files

Path
/etc/lsm/pluginconf.d/sim.conf
/usr/bin/sim_lsmplugin
/usr/lib/lsm.d/find_unused_lun.py
/usr/lib/lsm.d/local_sanity_check.py
/usr/lib/python3.7/site-packages/lsm/__init__.py
/usr/lib/python3.7/site-packages/lsm/_client.py
/usr/lib/python3.7/site-packages/lsm/_common.py
/usr/lib/python3.7/site-packages/lsm/_data.py
/usr/lib/python3.7/site-packages/lsm/_iplugin.py
/usr/lib/python3.7/site-packages/lsm/_local_disk.py
/usr/lib/python3.7/site-packages/lsm/_pluginrunner.py
/usr/lib/python3.7/site-packages/lsm/_transport.py
/usr/lib/python3.7/site-packages/lsm/version.py
/usr/lib/python3.7/site-packages/lsm/__pycache__/__init__.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/lsm/__pycache__/__init__.cpython-37.pyc
/usr/lib/python3.7/site-packages/lsm/__pycache__/_client.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/lsm/__pycache__/_client.cpython-37.pyc
/usr/lib/python3.7/site-packages/lsm/__pycache__/_common.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/lsm/__pycache__/_common.cpython-37.pyc
/usr/lib/python3.7/site-packages/lsm/__pycache__/_data.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/lsm/__pycache__/_data.cpython-37.pyc
/usr/lib/python3.7/site-packages/lsm/__pycache__/_iplugin.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/lsm/__pycache__/_iplugin.cpython-37.pyc
/usr/lib/python3.7/site-packages/lsm/__pycache__/_local_disk.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/lsm/__pycache__/_local_disk.cpython-37.pyc
/usr/lib/python3.7/site-packages/lsm/__pycache__/_pluginrunner.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/lsm/__pycache__/_pluginrunner.cpython-37.pyc
/usr/lib/python3.7/site-packages/lsm/__pycache__/_transport.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/lsm/__pycache__/_transport.cpython-37.pyc
/usr/lib/python3.7/site-packages/lsm/__pycache__/version.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/lsm/__pycache__/version.cpython-37.pyc
/usr/lib/python3.7/site-packages/lsm/external/__init__.py
/usr/lib/python3.7/site-packages/lsm/external/xmltodict.py
/usr/lib/python3.7/site-packages/lsm/external/__pycache__/__init__.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/lsm/external/__pycache__/__init__.cpython-37.pyc
/usr/lib/python3.7/site-packages/lsm/external/__pycache__/xmltodict.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/lsm/external/__pycache__/xmltodict.cpython-37.pyc
/usr/lib/python3.7/site-packages/lsm/lsmcli/__init__.py
/usr/lib/python3.7/site-packages/lsm/lsmcli/cmdline.py
/usr/lib/python3.7/site-packages/lsm/lsmcli/data_display.py
/usr/lib/python3.7/site-packages/lsm/lsmcli/__pycache__/__init__.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/lsm/lsmcli/__pycache__/__init__.cpython-37.pyc
/usr/lib/python3.7/site-packages/lsm/lsmcli/__pycache__/cmdline.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/lsm/lsmcli/__pycache__/cmdline.cpython-37.pyc
/usr/lib/python3.7/site-packages/lsm/lsmcli/__pycache__/data_display.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/lsm/lsmcli/__pycache__/data_display.cpython-37.pyc
/usr/lib/python3.7/site-packages/lsm/plugin/__init__.py
/usr/lib/python3.7/site-packages/lsm/plugin/__pycache__/__init__.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/lsm/plugin/__pycache__/__init__.cpython-37.pyc
/usr/lib/python3.7/site-packages/lsm/plugin/sim/__init__.py
/usr/lib/python3.7/site-packages/lsm/plugin/sim/simarray.py
/usr/lib/python3.7/site-packages/lsm/plugin/sim/simulator.py
/usr/lib/python3.7/site-packages/lsm/plugin/sim/__pycache__/__init__.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/lsm/plugin/sim/__pycache__/__init__.cpython-37.pyc
/usr/lib/python3.7/site-packages/lsm/plugin/sim/__pycache__/simarray.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/lsm/plugin/sim/__pycache__/simarray.cpython-37.pyc
/usr/lib/python3.7/site-packages/lsm/plugin/sim/__pycache__/simulator.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/lsm/plugin/sim/__pycache__/simulator.cpython-37.pyc
/usr/share/man/man1/sim_lsmplugin.1.gz

Changelog

2018-11-02 - Jan Engelhardt <jengelh@inai.de>
- Fix RPM groups.
2018-10-25 - nwang@suse.com
- Update to new upstream release 1.7.0
* Replace yajl with nlohmann/json for JSON handling.
* Fix the file path of lsmd.conf manpage.
* HPSA plugin: Support ssacli version 3.25+.
* scan-scsi-target: Fix compiling on gcc 8.2.
* Fix lsmcli on python 3.7.
* Handle 'Warning:' message in hpsa plugin
* SmartArray plugin: Remove the pyudev codes.
* lsmd: Fix crash when plugin named as _lsmplugin.
* Fix GCC 8 compiling warnings.
* MegaRAID plugin: Fix cache information query.
* Fix regression on SMI-S plugin.
- Remove patch compat-gcc8.patch: in upstream
- Polish the spec file by spec-cleaner
2018-05-03 - dimstar@opensuse.org
- Explicitly call autoreconf: patch compat-gcc8.patch touches the
build system and thus we need to rebootstrap.
2018-03-27 - nwang@suse.com
- bsc#1084630, compat to gcc8
Enlarge the err_msg to avoid [-Werror=format-truncation=]
'-Wno-cast-function-type' for python c building
Add automake to build requires in spec file.
- Add patch compat-gcc8.patch
2017-12-19 - nwang@suse.com
- bsc#1073088, change requirements to python3 for SLE15.
2017-10-26 - mpluskal@suse.com
- Update to version 1.6.0:
* New error number for deleting volume/fs with child dependency:
+ C: LSM_ERR_HAS_CHILD_DEPENDENCY
+ Python: lsm.ErrorNumber.HAS_CHILD_DEPENDENCY
* Fix incorrect SCSI VPD query for 0x89 and 0xb1.
* Fix regression on using libstoragemgmt with pywbem 0.7.0.
* Updates on manpage and help message of lsmcli.
- Changes for version 1.5.0:
* New plugin -- LibstorageMgmt NFS server plugin(nfs://).
* New plugin -- LibstorageMgmt Local Pseudo plugin(local://).
* New plugin -- LibstorageMgmt Microsemi storage plugin(arcconf://).
* Removed support of lmiwbem due to missing self-signed CA verification and inactive upstream of lmiwbem.
* Support SES actions on kernel bsg module(old code was using sg kernel module).
* Add manpages for every C API using kernel-doc.
* New URI parameter ca_cert_file for ONTAP, SMI-S, targetd plugin.
* Bug fixes:
+ Fix the ONTAP SSL connection.
+ Sim plugin: Fix sqlite3 transaction of fs_child_dependency_rm().
+ MegaRAID: Handle when both perccli and storcli are installed.
+ MegaRAID plugin: Support pool status for rebuild and check.
+ Fixed C++ code compile warnings.
* Library adds:
+ Query health status of local disk:
+ lsm_local_disk_health_status_get()/lsm.LocalDisk.health_status_get()
- Drop no longer needed patches:
* 0001-Fix-gcc-warning-on-non-x86-platform.patch
* 0001-Simc-plugin-Fix-gcc-warning-on-fallthrough-switch.patch
* 0002-C-library-Bug-fix-for-incorrect-use-of-sizeof.patch
2017-06-01 - nwang@suse.com
- To unify the package in SLE and Leap.
- bsc#931426, bsc#980651 and bsc#988547 also fixed in this package
2017-05-18 - mliska@suse.cz
- Add 0001-Simc-plugin-Fix-gcc-warning-on-fallthrough-switch.patch to
fix build with GCC 7.
2017-05-16 - mpluskal@suse.com
- Sync patches with fedora:
* 0002-C-library-Bug-fix-for-incorrect-use-of-sizeof.patch
2017-04-25 - alarrosa@suse.com
- Add 0001-Fix-gcc-warning-on-non-x86-platform.patch to fix build in
ppc64le/s390x.

See Also

Package Description
python3-libstoragemgmt-clibs-1.7.0-1.3.i586.rpm Python C extension for libstoragemgmt
python3-libstoragemgmt-clibs-1.7.0-1.3.x86_64.rpm Python C extension for libstoragemgmt
python3-libtorrent-rasterbar-1.1.11-2.2.i586.rpm Python Bindings for libtorrent-rasterbar
python3-libtorrent-rasterbar-1.1.11-2.2.x86_64.rpm Python Bindings for libtorrent-rasterbar
python3-libunity-7.1.4+bzr20190319-1.1.i586.rpm Python bindings for libunity
python3-libunity-7.1.4+bzr20190319-1.1.x86_64.rpm Python bindings for libunity
python3-libusb1-1.7-1.1.noarch.rpm Python wrapper for libusb-1.0
python3-libvhdi-0~20170223-2.4.i586.rpm Python 3 bindings for libvhdi, a VHD image format parser
python3-libvhdi-0~20170223-2.4.x86_64.rpm Python 3 bindings for libvhdi, a VHD image format parser
python3-libvirt-python-5.2.0-1.1.i586.rpm Library providing a virtualization API
python3-libvirt-python-5.2.0-1.1.x86_64.rpm Library providing a virtualization API
python3-libvmdk-0~20170226-2.4.i586.rpm Python 3 bindings for libvmdk, a VMDK image format parser
python3-libvmdk-0~20170226-2.4.x86_64.rpm Python 3 bindings for libvmdk, a VMDK image format parser
python3-libvoikko-4.2-1.1.noarch.rpm Python interface to libvoikko
python3-libvshadow-0~20170902-3.5.i586.rpm Python 3 binding for libvshadow
Advertisement
Advertisement